unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Splitter1: TSplitter;
    procedure FormCreate(Sender: TObject);
    procedure Splitter1Paint(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

function TextHeight(AFont: TFont): Integer;
var
  bmp: TBitmap;
begin
  bmp := TBitmap.Create;
  try
    bmp.SetSize(1, 1);
    bmp.Canvas.Font := AFont;
    Result := bmp.Canvas.TextHeight('Tg');
  finally
    bmp.Free;
  end;
end;


{ TForm1 }

procedure TForm1.Splitter1Paint(Sender: TObject);
begin
  Splitter1.Canvas.Brush.Style := bsSolid;
  Splitter1.Canvas.Brush.Color := clYellow;
  Splitter1.Canvas.FillRect(0, 0, Splitter1.Width, Splitter1.Height);
  Splitter1.Canvas.Font.Color := clRed;
  Splitter1.Canvas.TextOut(4, (Splitter1.Height - Splitter1.Canvas.TextHeight('Tg')) div 2, Splitter1.Caption);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Splitter1.Caption := 'Hello world';
  Splitter1.Height := TextHeight(Splitter1.Font);
end;

end.

